/** Copyright (c) 2011-2015, SpaceToad and the BuildCraft Team http://www.mod-buildcraft.com
 * <p/>
 * BuildCraft is distributed under the terms of the Minecraft Mod Public License 1.0, or MMPL. Please check the contents
 * of the license located in http://www.mod-buildcraft.com/MMPL-1.0.txt */
package buildcraft.silicon.render;

import org.lwjgl.opengl.GL11;

import net.minecraft.client.renderer.tileentity.TileEntityRendererDispatcher;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;

import buildcraft.core.render.RenderLaser;
import buildcraft.silicon.TileLaser;

public class RenderLaserTile extends TileEntitySpecialRenderer<TileLaser> {

    @Override
    public void func_180535_a(TileLaser laser, double x, double y, double z, float f, int i) {
        if (laser != null) {
            GL11.glPushMatrix();
            GL11.glTranslated(x, y, z);
            GL11.glTranslated(-laser.func_174877_v().func_177958_n(), -laser.func_174877_v().func_177956_o(), -laser.func_174877_v().func_177952_p());

            GL11.glPushMatrix();
            RenderLaser.doRenderLaser(TileEntityRendererDispatcher.field_147556_a.field_147550_f, TileEntityRendererDispatcher.field_147556_a.field_147553_e, laser.laser,
                    laser.getTexture());
            GL11.glPopMatrix();

            GL11.glPopMatrix();
        }
    }
}
